KeyStores.Level (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.security.KeyStores.Level class
Date: 2016-02-03

net.sourceforge.jnlp.security

## Enum KeyStores.Level

- java.lang.Object
- - java.lang.Enum<KeyStores.Level>
  - - net.sourceforge.jnlp.security.KeyStores.Level

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<KeyStores.Level>
  Enclosing class:
    KeyStores

      public static enum KeyStores.Level
      extends java.lang.Enum<KeyStores.Level>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SYSTEM`
    `USER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyStores.Level` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static KeyStores.Level[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USER

          public static final KeyStores.Level USER

    - #### SYSTEM

          public static final KeyStores.Level SYSTEM

  - ### Method Detail

    - #### values

          public static KeyStores.Level[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyStores.Level c : KeyStores.Level.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyStores.Level valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Submit a bug or feature